#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Predesys - Predesys Server
# Version: 0.1.0
# Author: Jose Antonio Jimenez Carmona <josantjim@gmail.com>
# License: LGPL 3.0 (see "license" file)

import sys
sys.dont_write_bytecode = True

def get_parameter_value(argv, name):
    value = None
    length = len(argv)
    for i in range(0, length):
        item = argv[i].lower()
        if i < (length - 1) and item == ("-%s" % name):
            if argv[i + 1][0] != "-":
                value = argv[i + 1].replace(",", "")
                if (i + 1) < (length - 1):
                    for j in range(i + 2, length):
                        if argv[j][0] != "-":
                            value += (", " + argv[j].replace(",", ""))
                        else:
                            break
                break
                
    return value
